Bug 1349599 - Environmental Variable to change timeouts for haproxy
Summary: Environmental Variable to change timeouts for haproxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: jtanenba
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1267746
TreeView+ depends on / blocked
 
Reported: 2016-06-23 18:44 UTC by Brennan Vincello
Modified: 2016-09-27 09:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:38:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Brennan Vincello 2016-06-23 18:44:14 UTC
Description of problem:

Would like to the ability to set the haproxy template values for timeouts.

Timoeuts would be set with an environment variable when when deploying the haproxy router image. 


See: Adding ENV's for Default Router timeout settings #9518
https://github.com/openshift/origin/pull/9518

Comment 2 Ben Bennett 2016-07-21 14:00:05 UTC
For 3.2 and above you can deploy a custom router template:
  https://github.com/openshift/openshift-docs/blob/master/install_config/install/deploy_router.adoc#using-configmap-replace-template

So they can grab the current template from a router image and customize it without having to rebuild an image.

This doesn't resolve the bug, but may be helpful.

Comment 3 Ben Bennett 2016-08-08 15:36:28 UTC
Need to shepherd https://github.com/openshift/origin/pull/9619 in.

Comment 4 Ben Bennett 2016-08-16 15:20:48 UTC
The PR has merged.

Comment 5 Troy Dawson 2016-08-18 20:25:41 UTC
This has been merged into ose and is in OSE v3.3.0.22 or newer.

Comment 7 zhaozhanqi 2016-08-19 02:58:58 UTC
Verified this bug with 
ose-haproxy-router:v3.3.0.22 (id=185850e07ab4)

Comment 9 errata-xmlrpc 2016-09-27 09:38:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.